Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network94.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
94.0.0.0
Broadcast address
95.255.255.255
First usable
94.0.0.1
Last usable
95.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 5E000000 · Integer 1577058304 to 1610612735
Reverse DNS zones
94.in-addr.arpa
95.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011110.00000000.00000000.0000000094.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01011110.00000000.00000000.0000000094.0.0.0
Broadcast01011111.11111111.11111111.1111111195.255.255.255
Split into smaller subnets/18

94.0.0.0/7 makes 2,048 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
194.0.0.0/1894.0.0.1 to 94.0.63.25494.0.63.25516,382
294.0.64.0/1894.0.64.1 to 94.0.127.25494.0.127.25516,382
394.0.128.0/1894.0.128.1 to 94.0.191.25494.0.191.25516,382
494.0.192.0/1894.0.192.1 to 94.0.255.25494.0.255.25516,382
594.1.0.0/1894.1.0.1 to 94.1.63.25494.1.63.25516,382
694.1.64.0/1894.1.64.1 to 94.1.127.25494.1.127.25516,382
794.1.128.0/1894.1.128.1 to 94.1.191.25494.1.191.25516,382
894.1.192.0/1894.1.192.1 to 94.1.255.25494.1.255.25516,382
994.2.0.0/1894.2.0.1 to 94.2.63.25494.2.63.25516,382
1094.2.64.0/1894.2.64.1 to 94.2.127.25494.2.127.25516,382
1194.2.128.0/1894.2.128.1 to 94.2.191.25494.2.191.25516,382
1294.2.192.0/1894.2.192.1 to 94.2.255.25494.2.255.25516,382
1394.3.0.0/1894.3.0.1 to 94.3.63.25494.3.63.25516,382
1494.3.64.0/1894.3.64.1 to 94.3.127.25494.3.127.25516,382
1594.3.128.0/1894.3.128.1 to 94.3.191.25494.3.191.25516,382
1694.3.192.0/1894.3.192.1 to 94.3.255.25494.3.255.25516,382
1794.4.0.0/1894.4.0.1 to 94.4.63.25494.4.63.25516,382
1894.4.64.0/1894.4.64.1 to 94.4.127.25494.4.127.25516,382
1994.4.128.0/1894.4.128.1 to 94.4.191.25494.4.191.25516,382
2094.4.192.0/1894.4.192.1 to 94.4.255.25494.4.255.25516,382
2194.5.0.0/1894.5.0.1 to 94.5.63.25494.5.63.25516,382
2294.5.64.0/1894.5.64.1 to 94.5.127.25494.5.127.25516,382
2394.5.128.0/1894.5.128.1 to 94.5.191.25494.5.191.25516,382
2494.5.192.0/1894.5.192.1 to 94.5.255.25494.5.255.25516,382
2594.6.0.0/1894.6.0.1 to 94.6.63.25494.6.63.25516,382
2694.6.64.0/1894.6.64.1 to 94.6.127.25494.6.127.25516,382
2794.6.128.0/1894.6.128.1 to 94.6.191.25494.6.191.25516,382
2894.6.192.0/1894.6.192.1 to 94.6.255.25494.6.255.25516,382
2994.7.0.0/1894.7.0.1 to 94.7.63.25494.7.63.25516,382
3094.7.64.0/1894.7.64.1 to 94.7.127.25494.7.127.25516,382
3194.7.128.0/1894.7.128.1 to 94.7.191.25494.7.191.25516,382
3294.7.192.0/1894.7.192.1 to 94.7.255.25494.7.255.25516,382
3394.8.0.0/1894.8.0.1 to 94.8.63.25494.8.63.25516,382
3494.8.64.0/1894.8.64.1 to 94.8.127.25494.8.127.25516,382
3594.8.128.0/1894.8.128.1 to 94.8.191.25494.8.191.25516,382
3694.8.192.0/1894.8.192.1 to 94.8.255.25494.8.255.25516,382
3794.9.0.0/1894.9.0.1 to 94.9.63.25494.9.63.25516,382
3894.9.64.0/1894.9.64.1 to 94.9.127.25494.9.127.25516,382
3994.9.128.0/1894.9.128.1 to 94.9.191.25494.9.191.25516,382
4094.9.192.0/1894.9.192.1 to 94.9.255.25494.9.255.25516,382
4194.10.0.0/1894.10.0.1 to 94.10.63.25494.10.63.25516,382
4294.10.64.0/1894.10.64.1 to 94.10.127.25494.10.127.25516,382
4394.10.128.0/1894.10.128.1 to 94.10.191.25494.10.191.25516,382
4494.10.192.0/1894.10.192.1 to 94.10.255.25494.10.255.25516,382
4594.11.0.0/1894.11.0.1 to 94.11.63.25494.11.63.25516,382
4694.11.64.0/1894.11.64.1 to 94.11.127.25494.11.127.25516,382
4794.11.128.0/1894.11.128.1 to 94.11.191.25494.11.191.25516,382
4894.11.192.0/1894.11.192.1 to 94.11.255.25494.11.255.25516,382
4994.12.0.0/1894.12.0.1 to 94.12.63.25494.12.63.25516,382
5094.12.64.0/1894.12.64.1 to 94.12.127.25494.12.127.25516,382
5194.12.128.0/1894.12.128.1 to 94.12.191.25494.12.191.25516,382
5294.12.192.0/1894.12.192.1 to 94.12.255.25494.12.255.25516,382
5394.13.0.0/1894.13.0.1 to 94.13.63.25494.13.63.25516,382
5494.13.64.0/1894.13.64.1 to 94.13.127.25494.13.127.25516,382
5594.13.128.0/1894.13.128.1 to 94.13.191.25494.13.191.25516,382
5694.13.192.0/1894.13.192.1 to 94.13.255.25494.13.255.25516,382
5794.14.0.0/1894.14.0.1 to 94.14.63.25494.14.63.25516,382
5894.14.64.0/1894.14.64.1 to 94.14.127.25494.14.127.25516,382
5994.14.128.0/1894.14.128.1 to 94.14.191.25494.14.191.25516,382
6094.14.192.0/1894.14.192.1 to 94.14.255.25494.14.255.25516,382
6194.15.0.0/1894.15.0.1 to 94.15.63.25494.15.63.25516,382
6294.15.64.0/1894.15.64.1 to 94.15.127.25494.15.127.25516,382
6394.15.128.0/1894.15.128.1 to 94.15.191.25494.15.191.25516,382
6494.15.192.0/1894.15.192.1 to 94.15.255.25494.15.255.25516,382
6594.16.0.0/1894.16.0.1 to 94.16.63.25494.16.63.25516,382
6694.16.64.0/1894.16.64.1 to 94.16.127.25494.16.127.25516,382
6794.16.128.0/1894.16.128.1 to 94.16.191.25494.16.191.25516,382
6894.16.192.0/1894.16.192.1 to 94.16.255.25494.16.255.25516,382
6994.17.0.0/1894.17.0.1 to 94.17.63.25494.17.63.25516,382
7094.17.64.0/1894.17.64.1 to 94.17.127.25494.17.127.25516,382
7194.17.128.0/1894.17.128.1 to 94.17.191.25494.17.191.25516,382
7294.17.192.0/1894.17.192.1 to 94.17.255.25494.17.255.25516,382
7394.18.0.0/1894.18.0.1 to 94.18.63.25494.18.63.25516,382
7494.18.64.0/1894.18.64.1 to 94.18.127.25494.18.127.25516,382
7594.18.128.0/1894.18.128.1 to 94.18.191.25494.18.191.25516,382
7694.18.192.0/1894.18.192.1 to 94.18.255.25494.18.255.25516,382
7794.19.0.0/1894.19.0.1 to 94.19.63.25494.19.63.25516,382
7894.19.64.0/1894.19.64.1 to 94.19.127.25494.19.127.25516,382
7994.19.128.0/1894.19.128.1 to 94.19.191.25494.19.191.25516,382
8094.19.192.0/1894.19.192.1 to 94.19.255.25494.19.255.25516,382
8194.20.0.0/1894.20.0.1 to 94.20.63.25494.20.63.25516,382
8294.20.64.0/1894.20.64.1 to 94.20.127.25494.20.127.25516,382
8394.20.128.0/1894.20.128.1 to 94.20.191.25494.20.191.25516,382
8494.20.192.0/1894.20.192.1 to 94.20.255.25494.20.255.25516,382
8594.21.0.0/1894.21.0.1 to 94.21.63.25494.21.63.25516,382
8694.21.64.0/1894.21.64.1 to 94.21.127.25494.21.127.25516,382
8794.21.128.0/1894.21.128.1 to 94.21.191.25494.21.191.25516,382
8894.21.192.0/1894.21.192.1 to 94.21.255.25494.21.255.25516,382
8994.22.0.0/1894.22.0.1 to 94.22.63.25494.22.63.25516,382
9094.22.64.0/1894.22.64.1 to 94.22.127.25494.22.127.25516,382
9194.22.128.0/1894.22.128.1 to 94.22.191.25494.22.191.25516,382
9294.22.192.0/1894.22.192.1 to 94.22.255.25494.22.255.25516,382
9394.23.0.0/1894.23.0.1 to 94.23.63.25494.23.63.25516,382
9494.23.64.0/1894.23.64.1 to 94.23.127.25494.23.127.25516,382
9594.23.128.0/1894.23.128.1 to 94.23.191.25494.23.191.25516,382
9694.23.192.0/1894.23.192.1 to 94.23.255.25494.23.255.25516,382
9794.24.0.0/1894.24.0.1 to 94.24.63.25494.24.63.25516,382
9894.24.64.0/1894.24.64.1 to 94.24.127.25494.24.127.25516,382
9994.24.128.0/1894.24.128.1 to 94.24.191.25494.24.191.25516,382
10094.24.192.0/1894.24.192.1 to 94.24.255.25494.24.255.25516,382
10194.25.0.0/1894.25.0.1 to 94.25.63.25494.25.63.25516,382
10294.25.64.0/1894.25.64.1 to 94.25.127.25494.25.127.25516,382
10394.25.128.0/1894.25.128.1 to 94.25.191.25494.25.191.25516,382
10494.25.192.0/1894.25.192.1 to 94.25.255.25494.25.255.25516,382
10594.26.0.0/1894.26.0.1 to 94.26.63.25494.26.63.25516,382
10694.26.64.0/1894.26.64.1 to 94.26.127.25494.26.127.25516,382
10794.26.128.0/1894.26.128.1 to 94.26.191.25494.26.191.25516,382
10894.26.192.0/1894.26.192.1 to 94.26.255.25494.26.255.25516,382
10994.27.0.0/1894.27.0.1 to 94.27.63.25494.27.63.25516,382
11094.27.64.0/1894.27.64.1 to 94.27.127.25494.27.127.25516,382
11194.27.128.0/1894.27.128.1 to 94.27.191.25494.27.191.25516,382
11294.27.192.0/1894.27.192.1 to 94.27.255.25494.27.255.25516,382
11394.28.0.0/1894.28.0.1 to 94.28.63.25494.28.63.25516,382
11494.28.64.0/1894.28.64.1 to 94.28.127.25494.28.127.25516,382
11594.28.128.0/1894.28.128.1 to 94.28.191.25494.28.191.25516,382
11694.28.192.0/1894.28.192.1 to 94.28.255.25494.28.255.25516,382
11794.29.0.0/1894.29.0.1 to 94.29.63.25494.29.63.25516,382
11894.29.64.0/1894.29.64.1 to 94.29.127.25494.29.127.25516,382
11994.29.128.0/1894.29.128.1 to 94.29.191.25494.29.191.25516,382
12094.29.192.0/1894.29.192.1 to 94.29.255.25494.29.255.25516,382
12194.30.0.0/1894.30.0.1 to 94.30.63.25494.30.63.25516,382
12294.30.64.0/1894.30.64.1 to 94.30.127.25494.30.127.25516,382
12394.30.128.0/1894.30.128.1 to 94.30.191.25494.30.191.25516,382
12494.30.192.0/1894.30.192.1 to 94.30.255.25494.30.255.25516,382
12594.31.0.0/1894.31.0.1 to 94.31.63.25494.31.63.25516,382
12694.31.64.0/1894.31.64.1 to 94.31.127.25494.31.127.25516,382
12794.31.128.0/1894.31.128.1 to 94.31.191.25494.31.191.25516,382
12894.31.192.0/1894.31.192.1 to 94.31.255.25494.31.255.25516,382
12994.32.0.0/1894.32.0.1 to 94.32.63.25494.32.63.25516,382
13094.32.64.0/1894.32.64.1 to 94.32.127.25494.32.127.25516,382
13194.32.128.0/1894.32.128.1 to 94.32.191.25494.32.191.25516,382
13294.32.192.0/1894.32.192.1 to 94.32.255.25494.32.255.25516,382
13394.33.0.0/1894.33.0.1 to 94.33.63.25494.33.63.25516,382
13494.33.64.0/1894.33.64.1 to 94.33.127.25494.33.127.25516,382
13594.33.128.0/1894.33.128.1 to 94.33.191.25494.33.191.25516,382
13694.33.192.0/1894.33.192.1 to 94.33.255.25494.33.255.25516,382
13794.34.0.0/1894.34.0.1 to 94.34.63.25494.34.63.25516,382
13894.34.64.0/1894.34.64.1 to 94.34.127.25494.34.127.25516,382
13994.34.128.0/1894.34.128.1 to 94.34.191.25494.34.191.25516,382
14094.34.192.0/1894.34.192.1 to 94.34.255.25494.34.255.25516,382
14194.35.0.0/1894.35.0.1 to 94.35.63.25494.35.63.25516,382
14294.35.64.0/1894.35.64.1 to 94.35.127.25494.35.127.25516,382
14394.35.128.0/1894.35.128.1 to 94.35.191.25494.35.191.25516,382
14494.35.192.0/1894.35.192.1 to 94.35.255.25494.35.255.25516,382
14594.36.0.0/1894.36.0.1 to 94.36.63.25494.36.63.25516,382
14694.36.64.0/1894.36.64.1 to 94.36.127.25494.36.127.25516,382
14794.36.128.0/1894.36.128.1 to 94.36.191.25494.36.191.25516,382
14894.36.192.0/1894.36.192.1 to 94.36.255.25494.36.255.25516,382
14994.37.0.0/1894.37.0.1 to 94.37.63.25494.37.63.25516,382
15094.37.64.0/1894.37.64.1 to 94.37.127.25494.37.127.25516,382
15194.37.128.0/1894.37.128.1 to 94.37.191.25494.37.191.25516,382
15294.37.192.0/1894.37.192.1 to 94.37.255.25494.37.255.25516,382
15394.38.0.0/1894.38.0.1 to 94.38.63.25494.38.63.25516,382
15494.38.64.0/1894.38.64.1 to 94.38.127.25494.38.127.25516,382
15594.38.128.0/1894.38.128.1 to 94.38.191.25494.38.191.25516,382
15694.38.192.0/1894.38.192.1 to 94.38.255.25494.38.255.25516,382
15794.39.0.0/1894.39.0.1 to 94.39.63.25494.39.63.25516,382
15894.39.64.0/1894.39.64.1 to 94.39.127.25494.39.127.25516,382
15994.39.128.0/1894.39.128.1 to 94.39.191.25494.39.191.25516,382
16094.39.192.0/1894.39.192.1 to 94.39.255.25494.39.255.25516,382
16194.40.0.0/1894.40.0.1 to 94.40.63.25494.40.63.25516,382
16294.40.64.0/1894.40.64.1 to 94.40.127.25494.40.127.25516,382
16394.40.128.0/1894.40.128.1 to 94.40.191.25494.40.191.25516,382
16494.40.192.0/1894.40.192.1 to 94.40.255.25494.40.255.25516,382
16594.41.0.0/1894.41.0.1 to 94.41.63.25494.41.63.25516,382
16694.41.64.0/1894.41.64.1 to 94.41.127.25494.41.127.25516,382
16794.41.128.0/1894.41.128.1 to 94.41.191.25494.41.191.25516,382
16894.41.192.0/1894.41.192.1 to 94.41.255.25494.41.255.25516,382
16994.42.0.0/1894.42.0.1 to 94.42.63.25494.42.63.25516,382
17094.42.64.0/1894.42.64.1 to 94.42.127.25494.42.127.25516,382
17194.42.128.0/1894.42.128.1 to 94.42.191.25494.42.191.25516,382
17294.42.192.0/1894.42.192.1 to 94.42.255.25494.42.255.25516,382
17394.43.0.0/1894.43.0.1 to 94.43.63.25494.43.63.25516,382
17494.43.64.0/1894.43.64.1 to 94.43.127.25494.43.127.25516,382
17594.43.128.0/1894.43.128.1 to 94.43.191.25494.43.191.25516,382
17694.43.192.0/1894.43.192.1 to 94.43.255.25494.43.255.25516,382
17794.44.0.0/1894.44.0.1 to 94.44.63.25494.44.63.25516,382
17894.44.64.0/1894.44.64.1 to 94.44.127.25494.44.127.25516,382
17994.44.128.0/1894.44.128.1 to 94.44.191.25494.44.191.25516,382
18094.44.192.0/1894.44.192.1 to 94.44.255.25494.44.255.25516,382
18194.45.0.0/1894.45.0.1 to 94.45.63.25494.45.63.25516,382
18294.45.64.0/1894.45.64.1 to 94.45.127.25494.45.127.25516,382
18394.45.128.0/1894.45.128.1 to 94.45.191.25494.45.191.25516,382
18494.45.192.0/1894.45.192.1 to 94.45.255.25494.45.255.25516,382
18594.46.0.0/1894.46.0.1 to 94.46.63.25494.46.63.25516,382
18694.46.64.0/1894.46.64.1 to 94.46.127.25494.46.127.25516,382
18794.46.128.0/1894.46.128.1 to 94.46.191.25494.46.191.25516,382
18894.46.192.0/1894.46.192.1 to 94.46.255.25494.46.255.25516,382
18994.47.0.0/1894.47.0.1 to 94.47.63.25494.47.63.25516,382
19094.47.64.0/1894.47.64.1 to 94.47.127.25494.47.127.25516,382
19194.47.128.0/1894.47.128.1 to 94.47.191.25494.47.191.25516,382
19294.47.192.0/1894.47.192.1 to 94.47.255.25494.47.255.25516,382
19394.48.0.0/1894.48.0.1 to 94.48.63.25494.48.63.25516,382
19494.48.64.0/1894.48.64.1 to 94.48.127.25494.48.127.25516,382
19594.48.128.0/1894.48.128.1 to 94.48.191.25494.48.191.25516,382
19694.48.192.0/1894.48.192.1 to 94.48.255.25494.48.255.25516,382
19794.49.0.0/1894.49.0.1 to 94.49.63.25494.49.63.25516,382
19894.49.64.0/1894.49.64.1 to 94.49.127.25494.49.127.25516,382
19994.49.128.0/1894.49.128.1 to 94.49.191.25494.49.191.25516,382
20094.49.192.0/1894.49.192.1 to 94.49.255.25494.49.255.25516,382
20194.50.0.0/1894.50.0.1 to 94.50.63.25494.50.63.25516,382
20294.50.64.0/1894.50.64.1 to 94.50.127.25494.50.127.25516,382
20394.50.128.0/1894.50.128.1 to 94.50.191.25494.50.191.25516,382
20494.50.192.0/1894.50.192.1 to 94.50.255.25494.50.255.25516,382
20594.51.0.0/1894.51.0.1 to 94.51.63.25494.51.63.25516,382
20694.51.64.0/1894.51.64.1 to 94.51.127.25494.51.127.25516,382
20794.51.128.0/1894.51.128.1 to 94.51.191.25494.51.191.25516,382
20894.51.192.0/1894.51.192.1 to 94.51.255.25494.51.255.25516,382
20994.52.0.0/1894.52.0.1 to 94.52.63.25494.52.63.25516,382
21094.52.64.0/1894.52.64.1 to 94.52.127.25494.52.127.25516,382
21194.52.128.0/1894.52.128.1 to 94.52.191.25494.52.191.25516,382
21294.52.192.0/1894.52.192.1 to 94.52.255.25494.52.255.25516,382
21394.53.0.0/1894.53.0.1 to 94.53.63.25494.53.63.25516,382
21494.53.64.0/1894.53.64.1 to 94.53.127.25494.53.127.25516,382
21594.53.128.0/1894.53.128.1 to 94.53.191.25494.53.191.25516,382
21694.53.192.0/1894.53.192.1 to 94.53.255.25494.53.255.25516,382
21794.54.0.0/1894.54.0.1 to 94.54.63.25494.54.63.25516,382
21894.54.64.0/1894.54.64.1 to 94.54.127.25494.54.127.25516,382
21994.54.128.0/1894.54.128.1 to 94.54.191.25494.54.191.25516,382
22094.54.192.0/1894.54.192.1 to 94.54.255.25494.54.255.25516,382
22194.55.0.0/1894.55.0.1 to 94.55.63.25494.55.63.25516,382
22294.55.64.0/1894.55.64.1 to 94.55.127.25494.55.127.25516,382
22394.55.128.0/1894.55.128.1 to 94.55.191.25494.55.191.25516,382
22494.55.192.0/1894.55.192.1 to 94.55.255.25494.55.255.25516,382
22594.56.0.0/1894.56.0.1 to 94.56.63.25494.56.63.25516,382
22694.56.64.0/1894.56.64.1 to 94.56.127.25494.56.127.25516,382
22794.56.128.0/1894.56.128.1 to 94.56.191.25494.56.191.25516,382
22894.56.192.0/1894.56.192.1 to 94.56.255.25494.56.255.25516,382
22994.57.0.0/1894.57.0.1 to 94.57.63.25494.57.63.25516,382
23094.57.64.0/1894.57.64.1 to 94.57.127.25494.57.127.25516,382
23194.57.128.0/1894.57.128.1 to 94.57.191.25494.57.191.25516,382
23294.57.192.0/1894.57.192.1 to 94.57.255.25494.57.255.25516,382
23394.58.0.0/1894.58.0.1 to 94.58.63.25494.58.63.25516,382
23494.58.64.0/1894.58.64.1 to 94.58.127.25494.58.127.25516,382
23594.58.128.0/1894.58.128.1 to 94.58.191.25494.58.191.25516,382
23694.58.192.0/1894.58.192.1 to 94.58.255.25494.58.255.25516,382
23794.59.0.0/1894.59.0.1 to 94.59.63.25494.59.63.25516,382
23894.59.64.0/1894.59.64.1 to 94.59.127.25494.59.127.25516,382
23994.59.128.0/1894.59.128.1 to 94.59.191.25494.59.191.25516,382
24094.59.192.0/1894.59.192.1 to 94.59.255.25494.59.255.25516,382
24194.60.0.0/1894.60.0.1 to 94.60.63.25494.60.63.25516,382
24294.60.64.0/1894.60.64.1 to 94.60.127.25494.60.127.25516,382
24394.60.128.0/1894.60.128.1 to 94.60.191.25494.60.191.25516,382
24494.60.192.0/1894.60.192.1 to 94.60.255.25494.60.255.25516,382
24594.61.0.0/1894.61.0.1 to 94.61.63.25494.61.63.25516,382
24694.61.64.0/1894.61.64.1 to 94.61.127.25494.61.127.25516,382
24794.61.128.0/1894.61.128.1 to 94.61.191.25494.61.191.25516,382
24894.61.192.0/1894.61.192.1 to 94.61.255.25494.61.255.25516,382
24994.62.0.0/1894.62.0.1 to 94.62.63.25494.62.63.25516,382
25094.62.64.0/1894.62.64.1 to 94.62.127.25494.62.127.25516,382
25194.62.128.0/1894.62.128.1 to 94.62.191.25494.62.191.25516,382
25294.62.192.0/1894.62.192.1 to 94.62.255.25494.62.255.25516,382
25394.63.0.0/1894.63.0.1 to 94.63.63.25494.63.63.25516,382
25494.63.64.0/1894.63.64.1 to 94.63.127.25494.63.127.25516,382
25594.63.128.0/1894.63.128.1 to 94.63.191.25494.63.191.25516,382
25694.63.192.0/1894.63.192.1 to 94.63.255.25494.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses